echo off
cls
rem EZFORMAT.BAT -- A demonstration of CopyEZ(tm) batch file programming.
rem
rem This batch file runs CopyEZ with the EZFORMAT.IMG image file.
rem Defaults to drive A, but will use another drive if specified.
rem EZFORMAT.IMG must be in the current directory.
if not exist EZFORMAT.IMG goto Error
rem Test to see if user supplied a drive letter.
if %1test == test goto NoDrive
rem Use specified drive.
CopyEZ EZFORMAT.IMG %1
goto End
:NoDrive
rem No drive supplied, so use drive A.
CopyEZ EZFORMAT.IMG A:
goto End
:Error
echo Error: EZFORMAT.IMG not in current directory.
echo Please change to the proper directory and run EZFORMAT again.
:End
